using GrapeCity.ActiveReports.Core.Document.Drawing.Gdi.Utility;
using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Drawing.Imaging;
using System.IO;

namespace PictureControlSample
{
    /// <summary>
    /// Summary description for SectionReport1.
    /// </summary>
    public partial class SampleReport : GrapeCity.ActiveReports.SectionReport
    {

        public SampleReport()
        {
            //
            // Required for Windows Form Designer support
            //
            InitializeComponent();

        }
        private void reportHeader1_Format_1(object sender, EventArgs e)
        {
            image.Image = GetImage();
        }
        public Image GetImage()
        {
            string imagePath = "PNGImage.png";
            Image image;
            using (FileStream fileStream = new FileStream(imagePath, FileMode.Open))
            {
                MemoryStream stream = new MemoryStream();
                fileStream.CopyTo(stream);
                image = Image.FromStream(stream);
            }
            return image;
        }
    }
}
